## lomiri-weather-app 5.13.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(lomiri-weather-app VERSION 5.13.5 LANGUAGES CXX)

include(FindGettext)
if(NOT GETTEXT_FOUND)
    message(FATAL_ERROR "Could not find gettext")
endif(NOT GETTEXT_FOUND)

set (MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")

find_package(Qt5Core REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5Quick REQUIRED)
#find_package(Qt5QuickControls2 REQUIRED)

# Automatically create moc files
set(CMAKE_AUTOMOC ON)

option(INSTALL_TESTS "Install the tests on make install" on)
option(CLICK_MODE "Build as a click package" on)
set(OWM_API_KEY "" CACHE STRING "OpenWeatherMap API key")

# Tests
enable_testing()

# Standard install paths
include(GNUInstallDirs)

set(CLICK_NAME weather.ubports)
set(APP_NAME weather)
set(APP_HARDCODE lomiri-weather-app)
set(MAIN_QML ${APP_HARDCODE}.qml)
set(DESKTOP_FILE "${APP_HARDCODE}.desktop")
set(URLS_FILE "${APP_HARDCODE}.url-dispatcher")
set(ICON weather-app.svg)
set(SPLASH weather-app-splash.svg)
set(AUTOPILOT_DIR lomiri_weather_app)

# Set install paths
if(CLICK_MODE)
  set(CMAKE_INSTALL_PREFIX "/")
  set(LOMIRI_WEATHER_APP_DIR "${CMAKE_INSTALL_DATADIR}/app")

  set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}")
  set(EXEC "lomiri-weather-app-migrate.py qmlscene %u ${LOMIRI_WEATHER_APP_DIR}/${MAIN_QML}")
  set(DATA_DIR /)
  set(URLS_DIR ${DATA_DIR})
  set(ICON ${LOMIRI_WEATHER_APP_DIR}/${ICON})
  set(SPLASH ${LOMIRI_WEATHER_APP_DIR}/${SPLASH})

  set(MODULE_PATH ${QT_IMPORTS_DIR})
else(CLICK_MODE)
  set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
  set(LOMIRI_WEATHER_APP_DIR "${DATA_DIR}/app")
  set(EXEC ${APP_HARDCODE})
  set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON})
  set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH})
  configure_file(${APP_HARDCODE}.in
    ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
    DESTINATION ${CMAKE_INSTALL_BINDIR})
  set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
  set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
endif(CLICK_MODE)

if(${CLICK_MODE})
  message("-- Configuring manifest.json")

  configure_file(${MANIFEST_PATH} ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES "${APP_HARDCODE}.apparmor" DESTINATION ${CMAKE_INSTALL_PREFIX})
else(CLICK_MODE)
endif()

install(PROGRAMS lomiri-weather-app-migrate.py DESTINATION ${DATA_DIR})

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)

add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}..."
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            --keyword --keyword=Name --keyword=Comment --keyword=Keywords
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})

add_subdirectory(app)
add_subdirectory(po)
add_subdirectory(tests)

# make the qml files visible on qtcreator
file(GLOB QML_JS_FILES
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    *.qml *.js README* *.txt)

add_custom_target(weather_ubports_QMLFiles DEPENDS lomiri-weather-app.qml SOURCES ${QML_JS_FILES})

# TODO: Add custom target for autopilot and run.

=== app/CMakeLists.txt ===
add_subdirectory(components)
add_subdirectory(data)
add_subdirectory(graphics)
add_subdirectory(ui)

file(GLOB APP_QML_JS_DATA_FILES *.qml *.js *.svg)

add_custom_target(lomiri-weather-app_app_QMlFiles ALL SOURCES ${APP_QML_JS_DATA_FILES})

install(FILES ${APP_QML_JS_DATA_FILES} DESTINATION ${LOMIRI_WEATHER_APP_DIR})

=== app/components/CMakeLists.txt ===
add_subdirectory(HeadState)
add_subdirectory(ListItemActions)

file(GLOB COMPONENTS_QML_JS_FILES *.qml *.js)

add_custom_target(lomiri-weather-app_components_QMlFiles ALL SOURCES ${COMPONENTS_QML_JS_FILES})

install(FILES ${COMPONENTS_QML_JS_FILES} DESTINATION ${LOMIRI_WEATHER_APP_DIR}/components)

=== app/data/CMakeLists.txt ===
configure_file(keys.js.in keys.js)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/keys.js" DESTINATION ${LOMIRI_WEATHER_APP_DIR}/data)

file(GLOB DATA_QML_JS_FILES *.qml *.js)

add_custom_target(lomiri-weather-app_data_QMlFiles ALL SOURCES ${DATA_QML_JS_FILES})

install(FILES ${DATA_QML_JS_FILES} DESTINATION ${LOMIRI_WEATHER_APP_DIR}/data)

=== app/graphics/CMakeLists.txt ===
file(GLOB IMAGE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.svg)

add_custom_target(lomiri-weather-app_graphics_IMAGEFiles ALL SOURCES ${IMAGE_FILES})

install(FILES ${IMAGE_FILES} DESTINATION ${LOMIRI_WEATHER_APP_DIR}/graphics)

=== app/ui/CMakeLists.txt ===
add_subdirectory(settings)

file(GLOB UI_QML_JS_FILES *.qml *.js)

add_custom_target(lomiri-weather-app_ui_QMlFiles ALL SOURCES ${UI_QML_JS_FILES})

install(FILES ${UI_QML_JS_FILES} DESTINATION ${LOMIRI_WEATHER_APP_DIR}/ui)

=== app/components/HeadState/CMakeLists.txt ===
# make the qml files visible on qtcreator
file(GLOB HEAD_STATE_QML_FILES *.qml)

add_custom_target(lomiri-weather-app_HEAD_STATE_QMLFiles ALL SOURCES ${HEAD_STATE_QML_FILES})

install(FILES ${HEAD_STATE_QML_FILES} DESTINATION ${LOMIRI_WEATHER_APP_DIR}/components/HeadState)

=== app/components/ListItemActions/CMakeLists.txt ===
file(GLOB LISTITEMACTIONS_QML_JS_FILES *.qml *.js)

add_custom_target(lomiri-weather-app_listitemactions_QMlFiles ALL SOURCES ${LISTITEMACTIONS_QML_JS_FILES})

install(FILES ${LISTITEMACTIONS_QML_JS_FILES} DESTINATION ${LOMIRI_WEATHER_APP_DIR}/components/ListItemActions)

=== app/ui/settings/CMakeLists.txt ===
file(GLOB UI_SETTINGS_QML_JS_FILES *.qml *.js)

add_custom_target(lomiri-weather-app_ui_settings_QMlFiles ALL SOURCES ${UI_SETTINGS_QML_JS_FILES})

install(FILES ${UI_SETTINGS_QML_JS_FILES} DESTINATION ${LOMIRI_WEATHER_APP_DIR}/ui/settings)

=== debian/changelog ===
lomiri-weather-app (5.13.5-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 08:17:50 +0200

lomiri-weather-app (5.13.5-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #1070400).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 May 2024 22:29:34 +0200

=== debian/control ===
Source: lomiri-weather-app
Priority: optional
Section: misc
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               qtbase5-dev,
               qtdeclarative5-dev,
               qml-module-lomiri-components,
               qml-module-lomiri-layouts,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-weather-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-weather-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-weather-app

Package: lomiri-weather-app
Architecture: all
Depends: qmlscene,
         qml-module-qtquick-localstorage,
         qml-module-qt-labs-settings,
         qml-module-qtlocation,
         qml-module-qtquick2,
         qml-module-lomiri-components,
         qml-module-lomiri-layouts,
         suru-icon-theme,
         ${misc:Depends},
Description: Weather App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Weather App.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DCLICK_MODE=OFF

override_dh_auto_install:
	dh_auto_install
	rm debian/*/usr/share/lomiri-weather-app/lomiri-weather-app-migrate.py

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-weather-app 6.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,29 @@
+# Copyright (C) 2015-2017 Canonical Ltd
+# Copyright (C) 2019 Joan CiberSheep
+# Copyright (C) 2019-2023 Daniel Frost
+# Copyright (C) 2022-2023 Guido Berhoerster
+# Copyright (C) 2023 Ratchanan Srirattanamet
+# Copyright (C) 2024 Mike Gabriel
+# Copyright (C) 2024 Maciej Sopyło <me@klh.io>
+#
+# SPDX-License-Identifier: GPL-3.0-only
+#
+# This file is part of Lomiri Weather App
+#
+# Lomiri Weather App is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# Lomiri Weather App is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 5.13.5 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.0.1 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -11,7 +35,9 @@
 find_package(Qt5Core REQUIRED)
 find_package(Qt5Qml REQUIRED)
 find_package(Qt5Quick REQUIRED)
-#find_package(Qt5QuickControls2 REQUIRED)
+find_package(Qt5QuickControls2 REQUIRED)
+find_package(Qt5Location REQUIRED)
+find_package(Qt5WebEngine REQUIRED)
 
 # Automatically create moc files
 set(CMAKE_AUTOMOC ON)
@@ -27,38 +53,52 @@
 include(GNUInstallDirs)
 
 set(CLICK_NAME weather.ubports)
-set(APP_NAME weather)
-set(APP_HARDCODE lomiri-weather-app)
-set(MAIN_QML ${APP_HARDCODE}.qml)
-set(DESKTOP_FILE "${APP_HARDCODE}.desktop")
-set(URLS_FILE "${APP_HARDCODE}.url-dispatcher")
+set(APP_NAME lomiri-weather-app)
+set(MAIN_QML ${APP_NAME}.qml)
+set(DESKTOP_FILE "${APP_NAME}.desktop")
+set(URLS_FILE "${APP_NAME}.url-dispatcher")
 set(ICON weather-app.svg)
 set(SPLASH weather-app-splash.svg)
 set(AUTOPILOT_DIR lomiri_weather_app)
+set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
+add_definitions(-DPROJECT_VERSION="${PROJECT_VERSION}" -DQT_MESSAGELOGCONTEXT)
+message(STATUS "App version is: ${PROJECT_VERSION}")
+
 
 # Set install paths
 if(CLICK_MODE)
+  # Find out the architecture for package building
+  # to determine the plugin's installation path
+  execute_process(
+      COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH
+      OUTPUT_VARIABLE ARCH_TRIPLET
+      OUTPUT_STRIP_TRAILING_WHITESPACE
+  )
   set(CMAKE_INSTALL_PREFIX "/")
+  set(CMAKE_INSTALL_BINDIR "/")
   set(LOMIRI_WEATHER_APP_DIR "${CMAKE_INSTALL_DATADIR}/app")
-
-  set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}")
-  set(EXEC "lomiri-weather-app-migrate.py qmlscene %u ${LOMIRI_WEATHER_APP_DIR}/${MAIN_QML}")
+  set(EXEC "lomiri-weather-app-migrate.py ${APP_NAME}")
   set(DATA_DIR /)
   set(URLS_DIR ${DATA_DIR})
-  set(ICON ${LOMIRI_WEATHER_APP_DIR}/${ICON})
-  set(SPLASH ${LOMIRI_WEATHER_APP_DIR}/${SPLASH})
-
+  set(ICON_DIR ${LOMIRI_WEATHER_APP_DIR})
+  set(ICON ${ICON_DIR}/${ICON})
+  set(SPLASH_DIR ${LOMIRI_WEATHER_APP_DIR})
+  set(SPLASH ${SPLASH_DIR}/${SPLASH})
+  set(QT_IMPORTS_DIR "/lib/${ARCH_TRIPLET}")
   set(MODULE_PATH ${QT_IMPORTS_DIR})
 else(CLICK_MODE)
-  set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
+  set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_NAME})
   set(LOMIRI_WEATHER_APP_DIR "${DATA_DIR}/app")
-  set(EXEC ${APP_HARDCODE})
-  set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON})
-  set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH})
-  configure_file(${APP_HARDCODE}.in
-    ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
-  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
-    DESTINATION ${CMAKE_INSTALL_BINDIR})
+  set(EXEC ${APP_NAME})
+  set(ICON_DIR ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/)
+  set(ICON ${ICON_DIR}${ICON})
+  set(SPLASH_DIR ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/)
+  set(SPLASH ${SPLASH_DIR}${SPLASH})
+  execute_process(
+    COMMAND qmake -query QT_INSTALL_QML
+    OUTPUT_VARIABLE QT_IMPORTS_DIR
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+  )
   set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
   set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
 endif(CLICK_MODE)
@@ -68,7 +108,7 @@
 
   configure_file(${MANIFEST_PATH} ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION ${CMAKE_INSTALL_PREFIX})
-  install(FILES "${APP_HARDCODE}.apparmor" DESTINATION ${CMAKE_INSTALL_PREFIX})
+  install(FILES "${APP_NAME}.apparmor" DESTINATION ${CMAKE_INSTALL_PREFIX})
 else(CLICK_MODE)
 endif()
 
@@ -89,9 +129,9 @@
 
 install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})
 
-add_subdirectory(app)
 add_subdirectory(po)
 add_subdirectory(tests)
+add_subdirectory(src)
 
 # make the qml files visible on qtcreator
 file(GLOB QML_JS_FILES

=== src/app/CMakeLists.txt ===
set(SRCS
    main.cpp
)

qt5_add_resources(QT_RESOURCES qml/qml.qrc)
qt5_add_resources(QT_RESOURCES assets/assets.qrc)

add_executable(${APP_NAME} ${SRCS} ${QT_RESOURCES})

target_link_libraries(${APP_NAME} Qt5::Gui Qt5::Qml Qt5::Quick Qt5::QuickControls2 Qt5::WebEngine)

if(CLICK_MODE)
  install(TARGETS ${APP_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
else()
  install(TARGETS ${APP_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})
endif()

install(FILES qml/weather-app.svg DESTINATION ${DESTDIR}${ICON_DIR})
install(FILES qml/weather-app-splash.svg DESTINATION ${DESTDIR}${SPLASH_DIR})

=== src/plugin/CMakeLists.txt ===
# Copyright (C) 2024 Maciej Sopyło <me@klh.io>
#
# SPDX-License-Identifier: GPL-3.0-only
#
# This file is part of Lomiri Weather App
#
# Lomiri Weather App is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# Lomiri Weather App is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
set(PLUGIN "LomiriWeather")

set(SRC
    weather_data_provider.h
    plugin.cpp
    data_point.cpp
    data_day.cpp
    provider.cpp
    open_meteo/open_meteo_weather_provider.cpp
)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

execute_process(
    COMMAND flatc --cpp --gen-object-api -o "${CMAKE_CURRENT_BINARY_DIR}/open_meteo" weather_api.fbs
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/open_meteo"
)

add_library(${PLUGIN} MODULE ${SRC})

target_include_directories(${PLUGIN} PUBLIC "${CMAKE_SOURCE_DIR}/src")

set_target_properties(${PLUGIN} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PLUGIN})
target_link_libraries(${PLUGIN} Qt5::Gui Qt5::Qml Qt5::Location flatbuffers)

install(TARGETS ${PLUGIN} DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN}/)
install(FILES qmldir DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN}/)

=== debian/changelog ===
lomiri-weather-app (6.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Switch weather data provider to Open-Meteo.
  * debian/patches:
    + Drop patches 0001, 0002 and 0003. Not applicable to upstream anymore,
      not required anymore. Also, trivial rebase of patch 2001.
    + Add 2002_mention-Lomiri-in-desktop-file-description.patch. Don't reference
      Ubuntu Touch in .desktop file, reference Lomiri instead.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Adjust paths to Javascript code files.
  * debian/control:
    + Add to B-D: qtquickcontrols2-5-dev.
    + Add to B-D: qtlocation5-dev and qtpositioning5-dev.
    + Add to B-D: qtwebengine5-dev.
    + Add to B-D: libflatbuffers-dev.
    + Drop from D: qmlscene.
    + Add to D: ${shlibs:Depends}.
    + Switch lomiri-weather-app from arch:all to arch:any.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 Sep 2024 08:40:10 +0200

## lomiri-weather-app 6.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 6.0.1 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.0.2 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -120,7 +120,6 @@
     COMMENT "Merging translations into ${DESKTOP_FILE}..."
     COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
             --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
-            --keyword --keyword=Name --keyword=Comment --keyword=Keywords
             -o ${DESKTOP_FILE}
             -d ${CMAKE_SOURCE_DIR}/po
 )

=== debian/changelog ===
lomiri-weather-app (6.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase patches 2001, 2002.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Nov 2024 13:05:22 +0100

## lomiri-weather-app 6.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 6.0.2 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.1.0 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)

=== debian/changelog ===
lomiri-weather-app (6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2002_mention-Lomiri-in-desktop-file-description.patch.
    + Add 1001_Amend-various-typos.-All-fixes-occur-in-documentatio.patch.
  * debian/rules:
    + Enable all hardening build flags.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 29 Jan 2025 21:23:26 +0100

## lomiri-weather-app 6.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,11 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 6.1.0 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.1.2 LANGUAGES CXX)
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_EXTENSIONS FALSE)
+set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -31,6 +35,20 @@
 endif(NOT GETTEXT_FOUND)
 
 set (MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
+
+find_package(flatbuffers) # latest(?) name
+if(NOT flatbuffers_FOUND)
+  find_package(FlatBuffers) # older name
+  if(NOT FlatBuffers_FOUND)
+    find_package(Flatbuffers) # even older name
+    if(NOT Flatbuffers_FOUND)
+      message(FATAL_ERROR
+        "Failed to find a flatbuffers CMake module, tried the following names: flatbuffers, FlatBuffers, Flatbuffers"
+      )
+    endif()
+  endif()
+endif()
+message(STATUS "Found a flatbuffers CMake module")
 
 find_package(Qt5Core REQUIRED)
 find_package(Qt5Qml REQUIRED)
@@ -61,7 +79,7 @@
 set(SPLASH weather-app-splash.svg)
 set(AUTOPILOT_DIR lomiri_weather_app)
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
-add_definitions(-DPROJECT_VERSION="${PROJECT_VERSION}" -DQT_MESSAGELOGCONTEXT)
+add_definitions(-DQT_MESSAGELOGCONTEXT)
 message(STATUS "App version is: ${PROJECT_VERSION}")
 
 
@@ -87,12 +105,12 @@
   set(QT_IMPORTS_DIR "/lib/${ARCH_TRIPLET}")
   set(MODULE_PATH ${QT_IMPORTS_DIR})
 else(CLICK_MODE)
-  set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_NAME})
+  set(DATA_DIR ${CMAKE_INSTALL_FULL_DATADIR}/${APP_NAME})
   set(LOMIRI_WEATHER_APP_DIR "${DATA_DIR}/app")
   set(EXEC ${APP_NAME})
-  set(ICON_DIR ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/)
+  set(ICON_DIR ${DATA_DIR}/)
   set(ICON ${ICON_DIR}${ICON})
-  set(SPLASH_DIR ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/)
+  set(SPLASH_DIR ${DATA_DIR}/)
   set(SPLASH ${SPLASH_DIR}${SPLASH})
   execute_process(
     COMMAND qmake -query QT_INSTALL_QML

=== debian/changelog ===
lomiri-weather-app (6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase patches 2001 and 2002.
    + Drop 1001_Amend-various-typos.-All-fixes-occur-in-documentatio.patch.
      Applied upstream.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 14 Feb 2025 10:43:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,13 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gettext,
+               libflatbuffers-dev,
                qtbase5-dev,
                qtdeclarative5-dev,
+               qtlocation5-dev,
+               qtpositioning5-dev,
+               qtquickcontrols2-5-dev,
+               qtwebengine5-dev,
                qml-module-lomiri-components,
                qml-module-lomiri-layouts,
 Standards-Version: 4.7.0
@@ -17,9 +22,8 @@
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-weather-app
 
 Package: lomiri-weather-app
-Architecture: all
-Depends: qmlscene,
-         qml-module-qtquick-localstorage,
+Architecture: any
+Depends: qml-module-qtquick-localstorage,
          qml-module-qt-labs-settings,
          qml-module-qtlocation,
          qml-module-qtquick2,
@@ -27,6 +31,7 @@
          qml-module-lomiri-layouts,
          suru-icon-theme,
          ${misc:Depends},
+         ${shlibs:Depends},
 Description: Weather App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating

## lomiri-weather-app 6.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 6.1.2 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.1.3 LANGUAGES CXX)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_EXTENSIONS FALSE)

=== debian/changelog ===
lomiri-weather-app (6.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Trivially rebase 2002_mention-Lomiri-in-desktop-file-description.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Mar 2025 15:46:21 +0100

## lomiri-weather-app 6.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 6.1.3 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.1.4 LANGUAGES CXX)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_EXTENSIONS FALSE)

=== po/CMakeLists.txt ===
include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
  ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

# Creates the .pot file containing the translations template
add_custom_target(${POT_FILE} ALL
  COMMENT "Generating translation template"
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          --from-code=UTF-8
          --language=Desktop
          --keyword --keyword=Name --keyword=Comment --keyword=Keywords
          --package-name='${PROJECT_NAME}'
          --copyright-holder='Canonical Ltd.'
          -D ${CMAKE_BINARY_DIR}
          ${DESKTOP_FILE}.in
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          -D ${CMAKE_SOURCE_DIR}
          -D ${CMAKE_CURRENT_SOURCE_DIR}
          -D ${CMAKE_CURRENT_BINARY_DIR}
          --from-code=UTF-8
          --c++ --qt --language=javascript --add-comments=TRANSLATORS
          --keyword=tr --keyword=tr:1,2 --keyword=ctr:1c,2 --keyword=dctr:2c,3 --keyword=N_ --keyword=_
          --keyword=dtr:2 --keyword=dtr:2,3 --keyword=tag --keyword=tag:1c,2
          --package-name='${PROJECT_NAME}'
          --join-existing --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,14 @@
 qt5_add_resources(QT_RESOURCES qml/qml.qrc)
 qt5_add_resources(QT_RESOURCES assets/assets.qrc)
 
-add_executable(${APP_NAME} ${SRCS} ${QT_RESOURCES})
+configure_file(config.h.in "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)
+
+add_executable(${APP_NAME} ${SRCS} ${QT_RESOURCES} "${CMAKE_CURRENT_BINARY_DIR}/config.h")
+
+target_include_directories(${APP_NAME}
+  PRIVATE
+  ${CMAKE_CURRENT_BINARY_DIR}
+)
 
 target_link_libraries(${APP_NAME} Qt5::Gui Qt5::Qml Qt5::Quick Qt5::QuickControls2 Qt5::WebEngine)

=== src/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 set(PLUGIN "LomiriWeather")
 
 set(SRC
@@ -31,17 +30,20 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-execute_process(
-    COMMAND flatc --cpp --gen-object-api -o "${CMAKE_CURRENT_BINARY_DIR}/open_meteo" weather_api.fbs
+add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/open_meteo/weather_api_generated.h"
+    COMMAND flatbuffers::flatc --cpp --gen-object-api -o "${CMAKE_CURRENT_BINARY_DIR}/open_meteo" weather_api.fbs
+    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/open_meteo/weather_api.fbs"
     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/open_meteo"
 )
+add_custom_target(generate-weather-api DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/open_meteo/weather_api_generated.h")
 
 add_library(${PLUGIN} MODULE ${SRC})
+add_dependencies(${PLUGIN} generate-weather-api)
 
 target_include_directories(${PLUGIN} PUBLIC "${CMAKE_SOURCE_DIR}/src")
 
 set_target_properties(${PLUGIN} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PLUGIN})
-target_link_libraries(${PLUGIN} Qt5::Gui Qt5::Qml Qt5::Location flatbuffers)
+target_link_libraries(${PLUGIN} Qt5::Gui Qt5::Qml Qt5::Location flatbuffers::flatbuffers)
 
 install(TARGETS ${PLUGIN} DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN}/)
 install(FILES qmldir DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN}/)

=== tests/autopilot/CMakeLists.txt ===
if(INSTALL_TESTS)
execute_process(COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
    )
endif(INSTALL_TESTS)

add_subdirectory(lomiri_weather_app)

=== debian/changelog ===
lomiri-weather-app (6.1.4-2) unstable; urgency=medium

  [ Robert Tari ]
  * debian/patches:
    + Add 2003_connectivity-flatbuffers.patch. Patch for upstream issues caused
      by Connectivity and flatbuffers.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Jun 2025 16:36:00 +0200

lomiri-weather-app (6.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2002_mention-Lomiri-in-desktop-file-description.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 17:29:31 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                qtwebengine5-dev,
                qml-module-lomiri-components,
                qml-module-lomiri-layouts,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-weather-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-weather-app.git

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@

## lomiri-weather-app 6.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 6.1.4 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.2.0 LANGUAGES CXX)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_EXTENSIONS FALSE)

=== tests/CMakeLists.txt ===
add_subdirectory(autopilot)

=== tests/autopilot/lomiri_weather_app/CMakeLists.txt ===
add_subdirectory(databases)
add_subdirectory(files)
add_subdirectory(tests)

# make the emulator files visible on qtcreator
file(GLOB PYTHON_EMULATOR_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.py)

add_custom_target(lomiri-weather-app_PYTHONEMULATORFiles ALL SOURCES ${PYTHON_EMULATOR_FILES})

=== tests/autopilot/lomiri_weather_app/databases/CMakeLists.txt ===
# make the database files visible on qtcreator
file(GLOB PYTHON_TEST_DATABASE_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.ini *.conf)

add_custom_target(lomiri-weather-app_PYTHONTestDatabaseFiles ALL SOURCES ${PYTHON_TEST_DATABASE_FILES})

=== tests/autopilot/lomiri_weather_app/files/CMakeLists.txt ===
# make the data files visible on qtcreator
file(GLOB PYTHON_TEST_RESOURCE_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.json)

add_custom_target(lomiri-weather-app_PYTHONTestResourceFiles ALL SOURCES ${PYTHON_TEST_RESOURCE_FILES})

=== tests/autopilot/lomiri_weather_app/tests/CMakeLists.txt ===
# make the test files visible on qtcreator
file(GLOB PYTHON_TEST_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.py)

add_custom_target(lomiri-weather-app_PYTHONTESTFiles ALL SOURCES ${PYTHON_TEST_FILES})

=== debian/changelog ===
lomiri-weather-app (6.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Trivially rebase 2002_mention-Lomiri-in-desktop-file-description.patch.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 12 Aug 2025 12:09:03 +0200

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.com/ubports/development/apps/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
